package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "ModelTestViewVO", description = "审查表单概要VO类")
public class ModelTestViewVO {

    // 标准技术要求
    @ApiModelProperty("标准技术要求")
    private String requirements;

    // 章节号
    @ApiModelProperty("章节号")
    private String serial_number;

    // 标准测试方法
    @ApiModelProperty("标准测试方法")
    private String test_method;

    @ApiModelProperty("结果列表")
    List<ModelTestResultVO> case_result_list;
}
