package com.ruoyi.web.response;

import com.ruoyi.domain.vo.CountVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("测试用例VO")
public class UseCaseResponse {

    @ApiModelProperty("用例数量")
    private Integer useCaseCount;

    @ApiModelProperty("测试场景数量")
    private Integer testScenarioCount;

    @ApiModelProperty("测试方法数量")
    private Integer testMethodCount;

    @ApiModelProperty("用例风险程度")
    List<CountVO> riskLevel;

    @ApiModelProperty("用例测试类型")
    List<CountVO> testType;
}
